DROP PROCEDURE AprobarListaPrecioCli
GO
CREATE PROCEDURE AprobarListaPrecioCli
( 
  @PRCLVLCUSTID	UD_PRCLVLCUSTID,
  @USERIDAPPROVA2 UD_USERID
)
AS
BEGIN
    BEGIN TRAN

    	UPDATE 	OP_PRCLVLCUST
       	SET 	STKPRICESEND=1,APPROVA2=1,USERIDAPPROVA2=@USERIDAPPROVA2,DATETIMEAUTORIZED2=GETDATE()
     	WHERE 	PRCLVLCUSTID=@PRCLVLCUSTID

    IF (@@error!=0 or @@rowcount=0)
    BEGIN
        ROLLBACK TRAN
        RETURN(1)
    
    END

    COMMIT TRAN

    RETURN(0)
END
